org.keycloak.connections.jpa.updater.liquibase.lock

## Class DummyLockService

- java.lang.Object
- - liquibase.lockservice.StandardLockService
  - - org.keycloak.connections.jpa.updater.liquibase.lock.DummyLockService

- All Implemented Interfaces:
    liquibase.lockservice.LockService, liquibase.servicelocator.PrioritizedService

      public class DummyLockService
      extends liquibase.lockservice.StandardLockService

  Dummy lock service injected to Liquibase. Doesn't need to do anything as we already have a lock when Liquibase update is called.
  Author:
    Marek Posolda

- - ### Field Summary

    - ### Fields inherited from class liquibase.lockservice.StandardLockService

      `database, hasChangeLogLock`

    - ### Fields inherited from interface liquibase.servicelocator.PrioritizedService

      `COMPARATOR, PRIORITY_DATABASE, PRIORITY_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DummyLockService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPriority()`
    `void` | `init()`
    `void` | `releaseLock()`
    `void` | `waitForLock()`

    - ### Methods inherited from class liquibase.lockservice.StandardLockService

      `acquireLock, destroy, forceReleaseLock, getChangeLogLockRecheckTime, getChangeLogLockWaitTime, hasChangeLogLock, hasDatabaseChangeLogLockTable, isDatabaseChangeLogLockTableInitialized, listLocks, reset, setChangeLogLockRecheckTime, setChangeLogLockWaitTime, setDatabase, supports`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DummyLockService

          public DummyLockService()

  - ### Method Detail

    - #### getPriority

          public int getPriority()

      Specified by:
        `getPriority` in interface `liquibase.servicelocator.PrioritizedService`
      Overrides:
        `getPriority` in class `liquibase.lockservice.StandardLockService`

    - #### init

          public void init()
                    throws liquibase.exception.DatabaseException

      Specified by:
        `init` in interface `liquibase.lockservice.LockService`
      Overrides:
        `init` in class `liquibase.lockservice.StandardLockService`
      Throws:
        `liquibase.exception.DatabaseException`

    - #### waitForLock

          public void waitForLock()
                           throws liquibase.exception.LockException

      Specified by:
        `waitForLock` in interface `liquibase.lockservice.LockService`
      Overrides:
        `waitForLock` in class `liquibase.lockservice.StandardLockService`
      Throws:
        `liquibase.exception.LockException`

    - #### releaseLock

          public void releaseLock()
                           throws liquibase.exception.LockException

      Specified by:
        `releaseLock` in interface `liquibase.lockservice.LockService`
      Overrides:
        `releaseLock` in class `liquibase.lockservice.StandardLockService`
      Throws:
        `liquibase.exception.LockException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.